{% load static %}


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task detail</title>
    <link rel="stylesheet" href="{% static 'css/projects.css' %}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <div class="content-wrapper">
        <header>
            <nav>
                <ul class="nav-left">
                    {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'company_list' %}">My companies</a>
                    </li>
                    {% endif %}
                </ul>
                <ul class="nav-right">
                    {% if user.is_authenticated %}
                    <li>
                        <a>🌟 You're Awesome, {{ user.username }}!</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Sign up</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div class="my-tasks-list">
                <h1>{{ task.name }}</h1>

                {% if task.cover_photo %}
                <div class="cover-photo">
                    <img src="{{ task.cover_photo.url }}" alt="Cover photo for {{ task.name }}">
                </div>
                {% endif %}

                <p>Assignee: {{ task.assignee.username }}</p>
                <p>Start Date: {{ task.start_date }}</p>
                <p>Due Date: {{ task.due_date }}</p>
                <p>Company:
                    {% for company in task.company.all %}
                    {{ company.name }}{% if not forloop.last %}, {% endif %}
                    {% endfor %}
                </p>
                <p>Completed: {{ task.is_completed|yesno:"Yes,No" }}</p>
                <p>
                    <a href="{% url 'edit_task' task.id %}"><i class="fa fa-pencil"></i></a>
                    <a href="{% url 'delete_task' task.id %}"><i class="fa fa-trash"></i></a>

                </p>
            </div>
        </main>
    </div>
    <footer class="footer">
        <p>Developed by Dongyu Wang (王冬雨). If you find any bugs, they are features:) &copy; 2024 All rights reserved.
        </p>
    </footer>
</body>

</html>
